/*
 * PageNumberObject.java
 *
 * Created on 17 settembre 2004, 19.15
 */

package it.businesslogic.ireport.gui.library.objects;
import it.businesslogic.ireport.gui.library.*;
/**
 *
 * @author  Administrator
 */
public class TotalPagesObject extends AbstractLibraryObject {
    
    private static javax.swing.ImageIcon defaultIcon;
    
    static {
        
        defaultIcon = new javax.swing.ImageIcon(AbstractLibraryObject.class.getResource("/it/businesslogic/ireport/icons/library/page_number.png"));
    }
    
    /** Creates a new instance of PageNumberObject */
    public TotalPagesObject() {
    }
    
    public String getName()
    {
        return it.businesslogic.ireport.util.I18n.getString("gui.library.objects.totalpages","Total pages");
    }

    public void drop(java.awt.dnd.DropTargetDropEvent dtde) {
        
        getReportFrame().dropNewTextField( dtde.getLocation(), "$V{PAGE_NUMBER}",  "java.lang.Integer", "Report" );
        
    }
    
     public javax.swing.ImageIcon getIcon()
    {
        return defaultIcon;
    }
    
}
